Help Center

Recommended browser

We recommend that you use the latest version of your browser when using Peatix. If you are using an outdated version of your browser, it is possible that the Peatix website will not work properly. Therefore, please update your browser to the latest version.

Recommended browser
Google Chrome 
 


Related help pages